
# AgroReg

<!-- badges: start -->

[![CRAN status](https://www.r-pkg.org/badges/version-ago/AgroReg)](https://CRAN.R-project.org/package=AgroR)
[![Lifecycle: stable](https://img.shields.io/badge/lifecycle-stable-brightgreen.svg)](https://lifecycle.r-lib.org/articles/stages.html#stable-1)
![Downloads](http://cranlogs.r-pkg.org/badges/AgroReg)
![Total Downloads](https://cranlogs.r-pkg.org/badges/grand-total/AgroReg)

<!-- badges: end -->

Package: AgroReg

Type: Package

Title: Regression Analysis Linear and Nonlinear for Agriculture

Version: 1.2.3

Date: 2022-05-04

Authors: Gabriel Danilo Shimizu & Leandro Simoes Azeredo Goncalves

Maintainer: Gabriel Danilo Shimizu <shimizu@uel.br>           

Description: Linear and nonlinear regression analysis common in agricultural science articles (Archontoulis & Miguez (2015). <doi:10.2134/agronj2012.0506>). The package includes polynomial, exponential, gaussian, logistic, logarithmic, segmented, non-parametric models, among others. The functions return the model coefficients and their respective p values, coefficient of determination, root mean square error, AIC, BIC, as well as graphs with the equations automatically.

License: GPL (>= 2)

Imports: drc, ggplot2, boot, minpack.lm, dplyr, rcompanion, broom, egg

Depends: R (>= 3.6)

Encoding: UTF-8

LazyData: true

RoxygenNote: 7.1.2

# Installation

<br><br>

``` r
# Install release version from CRAN
install.packages("AgroReg")

# Install development version from GitHub
devtools::install_github("https://github.com/AgronomiaR/AgroReg.git")
```

<br><br>
